Subject: Re: bug#15888: 24.3.50; Eval-after-load eval'ed twice

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 14 Nov 2013 00:33:06 +0100

Glenn Morris wrote:
> I can't reproduce this, even if I copy lisp/org/* to
> ~/Public/Repositories/org-mode/testing (etc), directories which
> obviously I don't normally have.
>
> What does C-h v after-load-alist say (just the relevant entries)?

--8<---------------cut here---------------start------------->8---
Value: (("\\(\\`\\|/\\)org\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (message "Eval this when Org is loaded")
    (sit-for 3)
    (message "")))
 ("\\(\\`\\|/\\)quail/Punct-b5\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule " " 12288 nil t)))
 ("\\(\\`\\|/\\)quail/Punct\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule " " 12288 nil t)))
 ("\\(\\`\\|/\\)quail/PY-b5\\(\\.elc\\|\\.el\\)?\\(\\.gz\\)?\\'"
  (lambda nil
    (quail-defrule "ling2" 9675 nil t)))
...
--8<---------------cut here---------------end--------------->8---

>> the code block in the `with-eval-after-load' is eval'ed twice whenever
>> an Org file is loaded.
>
> Did you really mean that?

Maybe I did not express myself correctly. I should have said "whichever" Org
file... It's like that with every Org file... but only for the first one in any
session.

> Ie C-x C-f foo.org; get message twice; C-x C-f bar.org, get message twice?
> Because I can't reproduce that at all.
> I get a message once the first time the _lisp library org_ is loaded in
> a session, not "whenever an Org file is loaded".

I get the message twice the first time an Org file is loaded. After, not
anymore.

See http://screencast.com/t/AuPH9r420Spn.

So, the bug is that the block is eval'ed twice (not once as it should).

Best regards,
  Seb

-- 
Sebastien Vauban